import { Connection, ConnectionMode, HandleType, Store, ValidConnectionFunc } from '../types'
declare type Result = {
  elementBelow: Element | null
  isValid: boolean
  connection: Connection
  isHoveringHandle: boolean
}
export declare const checkElementBelowIsValid: (
  event: MouseEvent,
  connectionMode: ConnectionMode,
  isTarget: boolean,
  nodeId: string,
  handleId: string | null,
  isValidConnection: ValidConnectionFunc,
  doc: Document,
) => Result
declare const _default: (store?: Store) => {
  onMouseDown: (
    event: MouseEvent,
    handleId: string | null,
    nodeId: string,
    isTarget: boolean,
    isValidConnection?: ValidConnectionFunc | undefined,
    elementEdgeUpdaterType?: HandleType | undefined,
    onEdgeUpdate?: ((connection: Connection) => void) | undefined,
    onEdgeUpdateEnd?: (() => void) | undefined,
  ) => void
  onClick: (
    event: MouseEvent,
    handleId: string | null,
    nodeId: string,
    handleType: HandleType,
    isValidConnection?: ValidConnectionFunc | undefined,
  ) => void
}
export default _default
