import { Position } from '../../types'
declare const _default: import('vue').DefineComponent<
  {
    id: {
      type: import('vue').PropType<string>
      required: true
    }
    nodeElement: {
      type: import('vue').PropType<HTMLDivElement>
      required: true
    }
    type: {
      type: import('vue').PropType<string>
      required: true
    }
    data: {
      type: import('vue').PropType<any>
      required: true
    } & {
      default: () => void
    }
    selected: {
      type: import('vue').PropType<boolean>
      required: true
    }
    connectable: {
      type: import('vue').PropType<boolean>
      required: true
    } & {
      default: boolean
    }
    computedPosition: {
      type: import('vue').PropType<import('../../types').XYZPosition>
      required: true
    }
    position: {
      type: import('vue').PropType<import('../../types').XYPosition>
      required: true
    }
    dimensions: {
      type: import('vue').PropType<import('../../types').Dimensions>
      required: true
    }
    label: {
      type: import('vue').PropType<
        | string
        | {
            props?: any
            component: any
          }
      >
    }
    isValidTargetPos: {
      type: import('vue').PropType<import('../../types').ValidConnectionFunc>
    }
    isValidSourcePos: {
      type: import('vue').PropType<import('../../types').ValidConnectionFunc>
    }
    parentNode: {
      type: import('vue').PropType<string>
    }
    dragging: {
      type: import('vue').PropType<boolean>
      required: true
    }
    zIndex: {
      type: import('vue').PropType<number>
      required: true
    }
    targetPosition: {
      type: import('vue').PropType<Position>
    }
    sourcePosition: {
      type: import('vue').PropType<Position>
    } & {
      default: Position
    }
    dragHandle: {
      type: import('vue').PropType<string>
    }
  },
  () => void,
  unknown,
  {},
  {},
  import('vue').ComponentOptionsMixin,
  import('vue').ComponentOptionsMixin,
  Record<string, any>,
  string,
  import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps,
  Readonly<
    {
      id?: unknown
      nodeElement?: unknown
      type?: unknown
      data?: unknown
      selected?: unknown
      connectable?: unknown
      computedPosition?: unknown
      position?: unknown
      dimensions?: unknown
      label?: unknown
      isValidTargetPos?: unknown
      isValidSourcePos?: unknown
      parentNode?: unknown
      dragging?: unknown
      zIndex?: unknown
      targetPosition?: unknown
      sourcePosition?: unknown
      dragHandle?: unknown
    } & {
      id: string
      nodeElement: HTMLDivElement
      type: string
      data: void
      selected: boolean
      connectable: boolean
      computedPosition: import('../../types').XYZPosition
      position: import('../../types').XYPosition
      dimensions: import('../../types').Dimensions
      dragging: boolean
      zIndex: number
      sourcePosition: Position
    } & {
      label?:
        | string
        | {
            props?: any
            component: any
          }
        | undefined
      isValidTargetPos?: import('../../types').ValidConnectionFunc | undefined
      isValidSourcePos?: import('../../types').ValidConnectionFunc | undefined
      parentNode?: string | undefined
      targetPosition?: Position | undefined
      dragHandle?: string | undefined
    }
  >,
  {
    data: void
    connectable: boolean
    sourcePosition: Position
  }
>
export default _default
